# fileutils: rh-4.1-4
# sh-utils:  rh-2.0.12-2

# for sh-utils :
%define optflags $RPM_OPT_FLAGS -D_GNU_SOURCE=1

Summary: The GNU core utilities: a set of tools commonly used in shell scripts
Name:    coreutils
Version: 5.2.1
Release: 5mdk
License: GPL
Group:   System/Base
Url:     ftp://alpha.gnu.org/gnu/coreutils/

Source0: ftp://prep.ai.mit.edu/pub/gnu/%name/%name-%version.tar.bz2
Source101:	DIR_COLORS
Source102:  DIR_COLORS.xterm
Source200:  su.pamd
Source201:  help2man

Patch0:		coreutils-4.5.4-lug.patch.bz2

# fileutils
Patch101: fileutils-4.0-spacedir.patch.bz2
Patch102: coreutils-5.1.1-sparc.patch.bz2
Patch105: coreutils-4.5.2-C.patch.bz2
Patch107: fileutils-4.1.10-timestyle.patch.bz2
Patch108: fileutils-4.1.5-afs.patch.bz2
Patch111: coreutils-5.2.1-dumbterm.patch.bz2
Patch112: fileutils-4.0u-glibc22.patch.bz2
Patch114: fileutils-4.1-restorecolor.patch.bz2
Patch115: fileutils-5.0.91-FBoptions.patch.bz2
Patch1155: fileutils-4.1-force-option--override--interactive-option.patch.bz2
Patch116: fileutils-4.1-dircolors_c.patch.bz2
Patch117: fileutils-4.1-ls_c.patch.bz2
Patch118: fileutils-4.1-ls_h.patch.bz2
Patch152: coreutils-4.5.7-touch_errno.patch.bz2
Patch153: fileutils-4.1.10-utmp.patch.bz2
Patch500: textutils-2.0.17-mem.patch.bz2

# sh-utils
Patch703: sh-utils-2.0.11-dateman.patch.bz2
Patch704: sh-utils-1.16-paths.patch.bz2
# RMS will never accept the PAM patch because it removes his historical
# rant about Twenex and the wheel group, so we'll continue to maintain
# it here indefinitely.
Patch706: coreutils-5.1.2-pam.patch.bz2
Patch710: sh-utils-2.0-rfc822.patch.bz2
Patch711: sh-utils-2.0.12-hname.patch.bz2

# (sb) lin18nux/lsb compliance
Patch800: http://www.openi18n.org/subgroups/utildev/patch/coreutils-5.1.2-i18n-0.1.patch.bz2

Patch901: coreutils-4.5.3-signal.patch.bz2
Patch904: coreutils-5.0.91-allow_old_options.patch.bz2
Patch908: coreutils-5.1.2-build-fix.patch.bz2
Patch909: coreutils-5.1.0-64bit-fixes.patch.bz2
Patch910: coreutils-5.2.1-uname.patch.bz2


BuildRoot: %_tmppath/%{name}-root
BuildRequires:	gettext termcap-devel pam-devel texinfo >= 4.3
BuildRequires:	automake1.8
Requires:   pam >= 0.66-12

Provides:	fileutils = %version, sh-utils = %version, stat, textutils = %version
Obsoletes:	fileutils sh-utils stat textutils

Conflicts:  tetex < 1.0.7-49mdk

%description
These are the GNU core utilities.  This package is the union of
the old GNU fileutils, sh-utils, and textutils packages.

These tools're the GNU versions of common useful and popular
file & text utilities which are used for:
- file management
- shell scripts
- modifying text file (spliting, joining, comparing, modifying, ...)

Most of these programs have significant advantages over their Unix
counterparts, such as greater speed, additional options, and fewer
arbitrary limits.

The following tools're included:

  basename cat chgrp chmod chown chroot cksum comm cp csplit cut date dd
  df dir dircolors dirname du echo env expand expr factor false fmt fold
  ginstall groups head hostid hostname id join kill link ln logname ls
  md5sum mkdir mkfifo mknod mv nice nl nohup od paste pathchk pinky pr
  printenv printf ptx pwd readlink rm rmdir seq sha1sum shred sleep sort
  split stat stty su sum sync tac tail tee test touch tr true tsort tty
  uname unexpand uniq unlink uptime users vdir wc who whoami yes


%package doc
Summary: Coreutils documentation in info format
Group: Books/Computer books
Requires: coreutils >= 4.5.4-2mdk
Prereq:		/sbin/install-info
 # it here indefinitely.
%description doc
This package

%prep
%setup -q

%patch0 -p1 -b .lug
mv po/{lg,lug}.po

# fileutils
%patch101 -p1 -b .space
%patch102 -p1 -b .sparc
%patch105 -p0 -b .Coption
%patch107 -p1 -b .timestyle
%patch108 -p1 -b .afs
%patch111 -p0 -b .dumbterm
%patch112 -p1 -b .glibc22
%patch114 -p1 -b .restore
%patch115 -p1 -b .FBopts
%patch1155 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch152 -p1
%patch153 -p1

# textutils
%patch500 -p1

# sh-utils
%patch703 -p1 -b .dateman
%patch704 -p1 -b .paths
%patch706 -p1 -b .pam
%patch710 -p1 -b .rfc822

# li18nux/lsb
%patch800 -p1 -b .i18n

%patch901 -p1 -b .su-hang
%patch904 -p1 -b .old-options
%patch908 -p0 -b .build
%patch909 -p1 -b .64bit
%patch910 -p0 -b .cpu

cp %SOURCE201 man/help2man
chmod +x man/help2man

%build
export DEFAULT_POSIX2_VERSION=199209
aclocal-1.8 -I m4
automake-1.8 -a -c
%configure2_5x --enable-largefile --enable-pam
%make HELP2MAN=$PWD/man/help2man

# Run the test suite.
#make check

# XXX docs should say /var/run/[uw]tmp not /etc/[uw]tmp
perl -pi -e 's,/etc/utmp,/var/run/utmp,g;s,/etc/wtmp,/var/run/wtmp,g' doc/coreutils.texi

%install
[[ -f ChangeLog ]] && bzip2 -9f ChangeLog
# for help2man:
export PATH=$PATH:RPM_BUILD_ROOT/man

rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# man pages are not installed with make install
make mandir=$RPM_BUILD_ROOT%{_mandir} install-man

# fix japanese catalog file
if [ -d $RPM_BUILD_ROOT/%{_datadir}/locale/ja_JP.EUC/LC_MESSAGES ]; then
   mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/ja/LC_MESSAGES
   mv $RPM_BUILD_ROOT/%{_datadir}/locale/ja_JP.EUC/LC_MESSAGES/*mo \
		$RPM_BUILD_ROOT/%{_datadir}/locale/ja/LC_MESSAGES
   rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/ja_JP.EUC
fi

# let be compatible with old fileutils, sh-utils and textutils packages :
mkdir -p $RPM_BUILD_ROOT{/bin,%_bindir,%_sbindir,%_sysconfdir/pam.d}
for f in basename cat chgrp chmod chown cp cut date dd df echo env expr false id link ln ls mkdir mknod mv nice pwd rm rmdir sleep sort stat stty sync touch true uname unlink
do
	mv $RPM_BUILD_ROOT/{%_bindir,bin}/$f 
done

ln -sf ../../bin/expr $RPM_BUILD_ROOT%_bindir/

# chroot was in /usr/sbin :
mv $RPM_BUILD_ROOT/{%_bindir,%_sbindir}/chroot
# {cat,sort,cut} were previously moved from bin to /usr/bin and linked into 
for i in env cut; do ln -sf ../../bin/$i $RPM_BUILD_ROOT/usr/bin; done

install -c -m644 %SOURCE101 $RPM_BUILD_ROOT/etc/

# su
install -m 4755 src/su $RPM_BUILD_ROOT/bin

# These come from util-linux and/or procps.
for i in hostname uptime ; do
	rm -f $RPM_BUILD_ROOT{%_bindir/$i,%_mandir/man1/${i}.1}
done

install -m 644 %SOURCE200 $RPM_BUILD_ROOT%_sysconfdir/pam.d/su

bzip2 -f9 old/*/C* || :

# fix conflict with util-linux:
rm -f $RPM_BUILD_ROOT%_mandir/man1/kill.1

%find_lang %name
#TV# find_lang look for LC_MESSAGES, not LC_TIME:
#TV(cd $RPM_BUILD_ROOT; find .%_datadir/locale/ -name coreutils.mo | fgrep LC_TIME | \
#TV	sed -e "s!^.*/share/locale/\([^/]*\)/!%lang(\1) %_datadir/locale/\1/!") >> %name.lang
find $RPM_BUILD_ROOT%_datadir/locale/ -name coreutils.mo | fgrep LC_TIME | xargs rm -f

# (sb) Deal with Installed (but unpackaged) file(s) found
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%pre doc
# We must desinstall theses info files since they're merged in
# coreutils.info. else their postun'll be runned too last
# and install-info'll faill badly because of doubles
for file in sh-utils.info textutils.info fileutils.info; do
	if [ -f /usr/share/info/$file.bz2 ]; then
		/sbin/install-info /usr/share/info/$file.bz2 --dir=/usr/share/info/dir --remove &> /dev/null
	fi
done

%preun doc
%_remove_install_info %name.info

%post doc
%_install_info %name.info
# The next true is needed: else, if there's a problem, the 
# package'll be installed 2 times because of trigger faillure
true

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/D*
%config(noreplace) /etc/pam.d/su
%doc README
/bin/*
%_bindir/*
%_sbindir/chroot


%files doc
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog.bz2 NEWS THANKS TODO old/*
%_infodir/coreutils*
%_mandir/man*/*

%changelog
* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-5mdk
- move expr into /bin (#7052)

* Sun Jul 25 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.2.1-4mdk
- run automake for patch 111

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-3mdk
- simplify build

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-2mdk
- fix link with pam
- fix --short-circuit when %%build failled
- patch 910: show correct CPU name (Marcin Gondek, #7865)
  (if it brokes anything, we'll revert)
- patch 111: fix ls build

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- remove patch 502, 906 (useless)

* Sun Jan 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1.2-1mdk
- new release
- rediff patches 706 and 908
- update patch 800
- update source 201 in order to fix build

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1.1-1mdk
- new release
- rediff patch 102

* Thu Jan 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1.0-2mdk
- update patch 800 (fix two unitialized variables in cut::cut_field_mb())

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1.0-1mdk
- new release
- rediff patches 111, 909
- update patch 800
- remove patches 503, 702 (merged upstream), 103 (obsoloted by upstream fix in
  fileutils-4.0.33)

* Fri Jan 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-7mdk
- patch 909: 64 bit fixes (gwenole)

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-6mdk
- remove patch 907, better fix #6736 by removing suprious linking

* Wed Jan 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-5mdk
- patch 907: [ and test should not behave the same (#6736)
- patch 908: fix build, make it --short-circuit aware

* Wed Dec 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-4mdk
- patch 800: update li18nux patch

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-3mdk
- patch 906: restore old chown behaviour

* Fri Dec 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-2mdk
- remove useless patch 113
- Luca Berra <bluca@vodka.it>:
  o fix i18n patch that broke cut -c
  o move help2man in %prep and use it for make (fix build)

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.91-1mdk
- new release
- rediff patches 111, 113, 115, 503, 702, 706, 800, 904 :-(
- kill patch 180 (obsolete), 903 (now useless), 905 (merged upstream)
- fix patch 800 url
- patch 503: adapt it to latest param changes

* Wed Nov 12 2003 Vincent Danen <vdanen@mandrakesoft.com> 5.0-8mdk
- security fix for CAN-2003-0853, CAN-2003-0854

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 5.0-7mdk
- rebuild for rewriting /etc/pam.d file

* Sun Aug  3 2003 Pixel <pixel@mandrakesoft.com> 5.0-6mdk
- allow old style options (eg: head -1)
  (we could keep the warning, but breaking backward compatibility is crazy)

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0-5mdk
- BuildRequires: termcap-devel

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 5.0-4mdk
- rebuild

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-3mdk
- fix su rejecting passwords

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-2mdk
- patch 800: add url and update (should speed up sort)
- patch 901: su hang in some rare cases
- patch 903: fix example in rm(1)
- patch 905: fix file descriptor leak in du which resulted in faillure on big
  directories

* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-2mdk
- add readlink to tool list

* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release
- use packaged readlink

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.12-2mdk
- provide color scheme for ls in xterm too
- remove obsolete l10n updates

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.12-1mdk
- new release
- update patch 180 : fix many, many typos in french translation

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.7-1mdk
- new release
- rediff patch 152, 180, 702, 800

* Thu Jan 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.4-4mdk
- move more docs to doc subpackage to reduce minimal system

* Tue Jan 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.4-3mdk
- move prereq on install-info from main package to doc subpackage

* Mon Jan 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.4-2mdk
- split up the doc because of drakx

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.4-1mdk
- new release
- rediff patches 0, 180

* Sun Nov 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 4.5.3-2mdk
- LI18NUX/LSB compliance (patch800)
- Installed (but unpackaged) file(s) - /usr/share/info/dir

* Thu Oct 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.3-1mdk
- new release
- rediff patch 180
- merge patch 150 into 180

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-6mdk
- move su back to /bin

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-5mdk
- patch 0 : lg locale is illegal and must be renamed lug (pablo)

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-4mdk
- fix conflict with procps

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-3mdk
- patch 105 : fix install -s

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-2mdk
- fix build
- don't chmode two times su
- build with large file support
- fix description
- various spec cleanups
- fix chroot installation
- fix missing /bin/env
- add old fileutils, sh-utils & textutils ChangeLogs

* Fri Oct 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-1mdk
- initial release (merge fileutils, sh-utils & textutils)
- obsoletes/provides: sh-utils/fileutils/textutils
- fileutils stuff go in 1xx range
- sh-utils stuff go in 7xx range
- textutils stuff go in 5xx range
- drop obsoletes patches 1, 2, 10 (somes files're gone but we didn't ship
  most of them)
- rediff patches 103, 105, 111, 113, 180, 706
- temporary disable patch 3 & 4
- fix fileutils url
